package com.caimei365.commodity.model.po;

import lombok.Data;

import java.io.Serializable;
import java.lang.Double;
import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/16
 */
@Data
public class ProductPo implements Serializable {
    private static final long serialVersionUID = 1L;
    /** 商品productID */
    private Integer productId;
    /**
     * 品牌Id
     */
    private Integer brandId;
    /**
     * 商品名称
     */
    private String name;
    /**
     * 商品价格
     */
    private Double price;
    /**
     * 库存
     */
    private Integer stock;
    /**
     * 内部商品名称
     */
    private String aliasName;
    /**
     * 市场价
     */
    private Double normalPrice;
    /**
     * 主图
     */
    private String mainImage;
    /**
     * 商品的类别：1正常商品(默认)，2二手商品
     */
    private Integer productCategory;
    /**
     * 常用商品001，精品推荐010，热门推荐100，三者同时存在111
     */
    private Integer preferredFlag;
    /**
     * 所属供应商Id
     */
    private Integer shopId;
    /**
     * 销量
     */
    private Integer sellNumber;
    /**
     * 成本价
     */
    private Double costPrice;
    /**
     * 成本价选中标志：1固定成本 2比例成
     */
    private Integer costCheckFlag;
    /**
     * 是否有sku：1有， 0没有
     */
    private Integer hasSkuFlag;
    /**
     * 商品状态， 0逻辑删除 1待审核 2已上架 3已下架 8审核未通过 9已隐身 10已冻结
     */
    private Integer validFlag;
    /**
     * 启用阶梯价格标识 0否 1是
     */
    private Integer ladderPriceFlag;
    /**
     * 排序值
     */
    private Integer sortIndex;
    /**
     * 供应商主推商品标志 0否 1是
     */
    private Integer featuredFlag;
    /**
     * 运费：0买家承担， 1卖家承担
     */
    private Integer byFlag;
    /**
     * 购买数量: 1逐步增长,2以起订量增长(起订量的倍数增长)
     */
    private Integer step;
    /**
     * 是否使用活动角标：1是，空或0不是[与actType搭配使用,仅用于标识非真正活动]
     */
    private Integer actFlag;
    /**
     * 商品是否处于活动状态：1是，空或0不是[活动商品和actFlag含义不同]
     */
    private Integer actStatus;
    /**
     * 是否包邮 0包邮 1到付
     */
    private Integer freePostFlag;
    /**
     * 商品类型：0其它类型(默认)，1妆字号，2械字号
     */
    private Integer productType;
    /**
     * 械字号类型   (基于械字号基础),1：一类，2：二类，3：三类
     */
    private Integer machineType;
    /**
     * 是否含税   0不含税，1含税，2未知
     */
    private Integer includedTax;
    /**
     * 相关推荐类型 0自动选择; 1手动推荐
     */
    private Integer recommendType;
    /**
     * 发票类型(基于是否含税基础)   1增值税票，2普通票, 3不能开票
     */
    private Integer invoiceType;
    /**
     * 商品可见度：（3:所有人可见，2:普通机构可见，1:会员机构可见）
     */
    private Integer visibility;
    /**
     * 添加时间
     */
    private String addTime;
    /**
     * 更新时间
     */
    private String updateTime;
    /**
     * 上架时间
     */
    private Date onlineTime;
    /**
     * 下架时间
     */
    private Date offlineTime;

}
