package com.caimei365.commodity.service;

import com.caimei365.commodity.model.ResponseJson;
import com.caimei365.commodity.model.vo.BigTypeVo;
import com.caimei365.commodity.model.vo.BrandVo;

import java.util.List;
import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/12
 */
public interface PageService {
    /**
     * 获取分类列表
     *
     * @param typeSort 分类类型：1产品，2仪器
     * @param source   请求来源：www,crm
     */
    ResponseJson<List<BigTypeVo>> getClassify(String typeSort, String source);

    /**
     * 产品/仪器页面数据
     *
     * @param pageId 页面信息id
     * @param userId 用户id
     * @param source 来源：1网站，2小程序
     */
    ResponseJson<Map<String, Object>> getClassifyData(Integer pageId, Integer userId, Integer source);

    /**
     * 首页楼层数据
     *
     * @param userId 用户id
     * @param source 来源：1网站，2小程序
     */
    ResponseJson<Map<String, Object>> getHomeData(Integer userId, Integer source);

    /**
     * 商品品牌列表
     */
    ResponseJson<List<BrandVo>> getBrandList();
}
