package com.caimei365.commodity.service;

import com.caimei365.commodity.model.ResponseJson;
import com.caimei365.commodity.model.vo.LadderPriceVo;
import com.caimei365.commodity.model.vo.PriceVo;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/9
 */
public interface PriceService {
    /**
     * 获取商品详情价格
     *
     * @param userId      用户Id
     * @param productId   商品Id
     * @return PriceVo
     */
    ResponseJson<PriceVo> getDetailPrice(Integer userId, Integer productId);
    /**
     * 获取商品列表价格
     *
     * @param userId       用户Id
     * @param productIds   商品Id
     * @return List<PriceVo>
     */
    ResponseJson<List<PriceVo>> getListPrice(Integer userId, String productIds);
    /**
     * 获取阶梯价格
     *
     * @param productId   商品Id
     * @return LadderPriceVo
     */
    ResponseJson<List<LadderPriceVo>> getLadderPrice(Integer productId);
}
