package com.caimei365.commodity.service;

import com.caimei365.commodity.model.ResponseJson;
import com.caimei365.commodity.model.search.ProductListVo;
import com.caimei365.commodity.model.vo.ProductShopVO;
import com.github.pagehelper.PageInfo;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/16
 */
public interface ShopService {

    /**
     * 供应商-主推商品
     * @param shopId   供应商Id
     * @param identity 用户身份：1协销，2会员机构，3供应商，4普通机构
     * @return
     */
    ResponseJson<List<ProductListVo>> getMainProducts(Integer shopId, Integer identity);

    /**
     * 供应商-我的商品列表
     *
     * @param shopId        供应商Id
     * @param name          商品名称
     * @param productCode   货号
     * @param validFlag     状态：0逻辑删除，1待审核，2已上架，3已下架，8审核未通过，9已隐身，10已冻结
     * @param featuredFlag  是否主推：0否，1是
     * @param typeSort      分类类型：1产品，2仪器
     * @param bigTypeId     一级分类Id
     * @param smallTypeId   二级分类Id
     * @param tinyTypeId    三级级分类Id
     * @param pageNum       页码
     * @param pageSize      每页数量
     * @return PageInfo<ProductShopVO>
     */
    ResponseJson<PageInfo<ProductShopVO>> getShopProducts(Integer shopId, String name, String productCode, Integer validFlag, Integer featuredFlag, Integer typeSort, Integer bigTypeId, Integer smallTypeId, Integer tinyTypeId, int pageNum, int pageSize);
}
